package hx_url_method

import (
	"testing"
)

func TestHxUrlMethod(t *testing.T) {
	swap := NewHxUrlMethod()
	if swap == nil {
		t.Fatalf("swap==nil")
	}
	if tag := swap.Get(); tag != "hx-post" {
		t.Fatalf("tag not empty")
	}
	swap.Set("hx-get")
	if tag := swap.Get(); tag != "hx-get" {
		t.Fatalf("tag bad")
	}
}
